/Users/bernard/b20/bsoft/tcltk/bshow_xtal.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_xtal.tcl - Procedures to manage crystallographic images.

SYNOPSIS

  Functions
Crystallography
Dialog box to manage crystallographic information.
setSpotIndices
Dialog box to set Miller indices for the selected structure factor.
setSpotIndices_and_DestroyWindow w
Sets the indices for a structure factor.
calcUnitCellVectors
Calculates the unit cell vectors from the current structure factors.
spotSelect x y
Select a structure factor.
spotCreateSelect x y
Creates or selects a structure factor.
spotMove x y
Moves the selected structure factor.
spotDisplayLocation loc
spotDraw h k l
Draws a structure factor on the canvas.
spotsDrawAll
Draws all structure factors on the canvas.
spotDelete x y
Deletes the selected structure factor on the canvas.
spotsDeleteAll
Deletes all structure factors.
spotGenerate
Generates structure factors from unit cell vectors.
spotGenerate_and_DestroyWindow w
Changes the data type of an image.
spotMask
Masks structure factors.
updateSpotParam
Updates structure factor parameters from the micrograph parameters in memory.

Detailed Description

Procedures to manage crystallographic images.

Author:
    Bernard Heymann

Date:
    Created: 20061104

    Modified: 20181030

Definition in file bshow_xtal.tcl.

Function Documentation

  calcUnitCellVectors

Calculates the unit cell vectors from the current structure factors.

Definition at line 239 of file bshow_xtal.tcl.

  Crystallography

Dialog box to manage crystallographic information.

Definition at line 20 of file bshow_xtal.tcl.

  setSpotIndices

Dialog box to set Miller indices for the selected structure factor.

Definition at line 164 of file bshow_xtal.tcl.

  setSpotIndices_and_DestroyWindoww

Sets the indices for a structure factor.

Parameters:
    w the window to destroy.

Definition at line 214 of file bshow_xtal.tcl.

  spotCreateSelectx y

Creates or selects a structure factor.

Parameters:
    x
    y Structure factor position in canvas coordinates.

Definition at line 289 of file bshow_xtal.tcl.

  spotDeletex y

Deletes the selected structure factor on the canvas.

Parameters:
    x
    y SF particle position in window coordinates.

Definition at line 436 of file bshow_xtal.tcl.

  spotDisplayLocationloc

Definition at line 350 of file bshow_xtal.tcl.

  spotDrawh k l

Draws a structure factor on the canvas.

Parameters:
    h SF index.
    k SF index.
    l SF index.

Definition at line 375 of file bshow_xtal.tcl.

  spotGenerate

Generates structure factors from unit cell vectors.

Definition at line 468 of file bshow_xtal.tcl.

  spotGenerate_and_DestroyWindoww

Changes the data type of an image.

Parameters:
    w the window to destroy.

Definition at line 496 of file bshow_xtal.tcl.

  spotMask

Masks structure factors.

Definition at line 515 of file bshow_xtal.tcl.

  spotMovex y

Moves the selected structure factor.

Parameters:
    x
    y SF position in canvas coordinates.

Definition at line 326 of file bshow_xtal.tcl.

  spotsDeleteAll

Deletes all structure factors.

Definition at line 454 of file bshow_xtal.tcl.

  spotsDrawAll

Draws all structure factors on the canvas.

Definition at line 413 of file bshow_xtal.tcl.

  spotSelectx y

Select a structure factor.

Parameters:
    x
    y Structure factor position in canvas coordinates.

Definition at line 255 of file bshow_xtal.tcl.

  updateSpotParam

Updates structure factor parameters from the micrograph parameters in memory.

Definition at line 527 of file bshow_xtal.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.